%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/mdlayher/socket
Version:                0.4.1

%gometa

%global common_description %{expand:
Package socket provides a low-level network connection type which integrates
with Go's runtime network poller to provide asynchronous I/O and deadline
support. MIT Licensed.}

%global golicenses      LICENSE.md
%global godocs          CHANGELOG.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Package socket provides a low-level network connection type which integrates with Go's runtime network poller to provide asynchronous I/O and deadline support. MIT Licensed

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
for test in "TestDialTCPContextDeadlineExceeded" "TestDialTCPContextCanceledDuring" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-1
- initial build
